WinShopAPI docs

Add items to a intake

Appends the items in the body to an existing intake and recalculates the document totals. Requires `Permissions.Intake.Create`.

POST
/api/documents/intakes/{documentId}/items

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Request Body

application/json
  1. body
[index: integer]?

Response Body

response?unknownapplication/octet-stream
curl -X POST 'https://<your-instance>/api/documents/intakes/0/items' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "items": [    {      "productId": 5,      "purchasePriceWoVatReceived": 250,      "quantityReceived": 100,      "vatRate": 21    }  ],  "supplierId": 1,  "warehouseId": 2}'
null